#ifndef _PROFILECHANGERWIDGET_H_
#define _PROFILECHANGERWIDGET_H_

#include <QMainWindow>
#include <qmaemo5homescreenadaptor.h>
#include <QErrorMessage>
#include "settingsdialog.h"

namespace Ui {
    class ProfileChangerWidget;
}

class ProfileChangerWidget : public QMainWindow
{
    Q_OBJECT

public:
    explicit ProfileChangerWidget (QWidget *parent = 0);
    ~ProfileChangerWidget();


public slots:
    void onShowSettingsDialog();
    void onChangeProfileClicked();
    void onHomeScreenChanged(bool isOnCurrentHomescreen);

    void reloadSettings();

private:
    Ui::ProfileChangerWidget *ui;
    bool showNextProfile;

private:
    QString getProfileName();
    void setProfile(QString profileName);
    void switchProfile();
    void showIconSilent();
    void showIconGeneral();
    void refreshIcon();
};

#endif // _PROFILECHANGERWIDGET_H_

